"""Removed form storage

Revision ID: eab73f1e1ca4
Revises: 8036ca6a3097
Create Date: 2022-03-02 11:26:25.925820+01:00

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "eab73f1e1ca4"
down_revision = "8036ca6a3097"
branch_labels = None
depends_on = None


def upgrade():
    """Upgrade"""
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index("ix_form_storage_id", table_name="form_storage")
    op.drop_index("ix_form_storage_sid", table_name="form_storage")
    op.drop_table("form_storage")
    # ### end Alembic commands ###


def downgrade():
    """Downgrade"""
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "form_storage",
        sa.Column(
            "sid",
            sa.INTEGER(),
            server_default=sa.text("nextval('form_storage_sid_seq'::regclass)"),
            autoincrement=True,
            nullable=False,
        ),
        sa.Column("id", postgresql.UUID(), autoincrement=False, nullable=False),
        sa.Column("form_id", sa.VARCHAR(), autoincrement=False, nullable=True),
        sa.Column("form", sa.VARCHAR(), autoincrement=False, nullable=True),
        sa.Column("submitter", sa.VARCHAR(), autoincrement=False, nullable=True),
        sa.Column(
            "storage_date",
            postgresql.TIMESTAMP(),
            autoincrement=False,
            nullable=True,
        ),
        sa.PrimaryKeyConstraint("sid", name="form_storage_pkey"),
    )
    op.create_index("ix_form_storage_sid", "form_storage", ["sid"], unique=False)
    op.create_index("ix_form_storage_id", "form_storage", ["id"], unique=False)
    # ### end Alembic commands ###
